#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from six.moves.urllib.parse import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863555.1618192
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:35 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/mobile/index.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class index(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(index, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<body>
\t<div data-role="page">
\t\t<div id="header">
\t\t\t<h1>OpenWebif</h1>
\t\t</div>
\t\t<div id="contentContainer">
\t\t\t<ul data-role="listview" data-inset="true" data-theme="d">
\t\t\t\t<li data-role="list-divider" role="heading" data-theme="b">Index</li>
\t\t\t\t<li><a href="/mobile/control">''')
        _v = VFFSL(SL,"tstrings",True)['control'] # "$tstrings['control']" on line 11, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['control']")) # from line 11, col 35.
        write('''</a></li>
\t\t\t\t<li><a href="/mobile/remote">''')
        _v = VFFSL(SL,"tstrings",True)['remote'] # "$tstrings['remote']" on line 12, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['remote']")) # from line 12, col 34.
        write('''</a></li>
\t\t\t\t<li><a href="/mobile/bouquets">''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # "$tstrings['bouquets']" on line 13, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bouquets']")) # from line 13, col 36.
        write(''' (''')
        _v = VFFSL(SL,"tstrings",True)['tv'] # "$tstrings['tv']" on line 13, col 59
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['tv']")) # from line 13, col 59.
        write(''')</a></li>
\t\t\t\t<li><a href="/mobile/bouquets?stype=radio">''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # "$tstrings['bouquets']" on line 14, col 48
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bouquets']")) # from line 14, col 48.
        write(''' (''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # "$tstrings['radio']" on line 14, col 71
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['radio']")) # from line 14, col 71.
        write(''')</a></li>
\t\t\t\t<li><a href="/mobile/timerlist">''')
        _v = VFFSL(SL,"tstrings",True)['timer_list'] # "$tstrings['timer_list']" on line 15, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timer_list']")) # from line 15, col 37.
        write('''</a></li>
\t\t\t\t<li><a href="/mobile/screenshot">''')
        _v = VFFSL(SL,"tstrings",True)['screenshot'] # "$tstrings['screenshot']" on line 16, col 38
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['screenshot']")) # from line 16, col 38.
        write('''</a></li>
\t\t\t\t<li><a href="/mobile/movies">''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # "$tstrings['movies']" on line 17, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['movies']")) # from line 17, col 34.
        write('''</a></a></li>
\t\t\t\t<li><a href="/mobile/satfinder">''')
        _v = VFFSL(SL,"tstrings",True)['satfinder'] # "$tstrings['satfinder']" on line 18, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['satfinder']")) # from line 18, col 37.
        write('''</a></a></li>
\t\t\t\t<li><a href="/mobile/about">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # "$tstrings['about']" on line 19, col 33
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['about']")) # from line 19, col 33.
        write('''</a></li>
\t\t\t</ul>
\t\t</div>
\t\t<div id="footer">
\t\t\t<p>OpenWebif Mobile</p>
\t\t\t<a onclick="document.location.href=\'/index?mode=fullpage\';return false;" href="#">''')
        _v = VFFSL(SL,"tstrings",True)['show_full_openwebif'] # "$tstrings['show_full_openwebif']" on line 24, col 86
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_full_openwebif']")) # from line 24, col 86.
        write('''</a>
\t\t</div>
\t\t
\t</div>
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_index = 'respond'

## END CLASS DEFINITION

if not hasattr(index, '_initCheetahAttributes'):
    templateAPIClass = getattr(index,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(index)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=index()).run()


