#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from six.moves.urllib.parse import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import showPicons, showPiconBackground

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863554.5940444
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:34 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/responsive/ajax/channels.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class channels(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(channels, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        piconCssClass = ''
        if VFFSL(SL,"showPiconBackground",True): # generated from line 6, col 1
            piconCssClass = 'picon--with-background'
        write('''
<!-- TODO: move styles to css file -->
<style>
\t.now-next__header {
\t\twidth: 100%;
\t}
''')
        if VFFSL(SL,"shownownextcolumns",True): # generated from line 15, col 1
            write('''\t.now-next__details--now {
\t\tborder-bottom: none;
\t}
''')
        else: # generated from line 19, col 1
            write('''\t.now-next__details {
\t\tflex: 1 0 100%;
\t}
''')
        write('''</style>

<div class="table-responsive block-header">
\t<table class="now-next__grid table table-striped table-hover">

''')
        for channel in VFFSL(SL,"channels",True): # generated from line 29, col 1
            #  TODO: normalise these in a utility function
            sRefQuoteEscaped = VFN(VFFSL(SL,"channel.ref",True),"replace",False)("'", "\\'")
            channelName = VFN(VFN(VFFSL(SL,"channel.name",True),"replace",False)("&#x27;", "\\'"),"replace",False)("'", "\\'")
            isProtected = 'protection' in VFFSL(SL,"channel",True) and VFFSL(SL,"channel.protection",True) != "0"
            write('''
\t\t<tr id="sref-''')
            _v = VFN(VFFSL(SL,"channel.ref",True),"replace",False)(':', '_') # "$channel.ref.replace(':', '_')" on line 35, col 16
            if _v is not None: write(_filter(_v, rawExpr="$channel.ref.replace(':', '_')")) # from line 35, col 16.
            write('''" class="channel-list__channel">
''')
            if VFN(VFFSL(SL,"channel.ref",True),"startswith",False)('1:64:'): # generated from line 36, col 2
                write('''\t\t\t<th colspan="3" class="now-next__header header bg--skinned">
\t\t\t\t<h2 class="bg--skinned">''')
                _v = VFFSL(SL,"channelName",True) # '$channelName' on line 38, col 29
                if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 38, col 29.
                write('''</h2>
\t\t\t</th>
''')
            elif VFN(VFFSL(SL,"channel.ref",True),"startswith",False)('1:7:'): # generated from line 40, col 2
                write('''\t\t\t<td colspan="3" class="now-next__header header">
\t\t\t\t<h2>
\t\t\t\t\t<a href="javascript:void(0);" class="link--skinned" onclick="load_subcontent(\'ajax/channels?id=''')
                _v = VFFSL(SL,"quote",False)(VFFSL(SL,"channel.ref",True)) # '$quote($channel.ref)' on line 43, col 101
                if _v is not None: write(_filter(_v, rawExpr='$quote($channel.ref)')) # from line 43, col 101.
                write('''&stype=''')
                _v = VFFSL(SL,"type",True) # '$type' on line 43, col 128
                if _v is not None: write(_filter(_v, rawExpr='$type')) # from line 43, col 128.
                write('''\'); return false;">
\t\t\t\t\t\t<i class="material-icons material-icons-centered">folder</i> ''')
                _v = VFFSL(SL,"channelName",True) # '$channelName' on line 44, col 68
                if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 44, col 68.
                write('''
\t\t\t\t\t</a>
\t\t\t\t</h2>
\t\t\t</td>
''')
            else: # generated from line 48, col 2
                if VFFSL(SL,"showPicons",True) and 'picon' in VFFSL(SL,"channel",True): # generated from line 49, col 1
                    piconHTML = '<img class="img-fluid" src="%s" alt="Channel logo" loading="lazy">' % VFFSL(SL,"channel.picon",True)
                    write('''\t\t\t<td class="now-next__picon ''')
                    _v = VFFSL(SL,"piconCssClass",True) # '$piconCssClass' on line 51, col 31
                    if _v is not None: write(_filter(_v, rawExpr='$piconCssClass')) # from line 51, col 31.
                    write('''">
\t\t\t\t<div>
''')
                    if VFFSL(SL,"isProtected",True): # generated from line 53, col 4
                        write('''\t\t\t\t\t''')
                        _v = VFFSL(SL,"piconHTML",True) # '$piconHTML' on line 54, col 6
                        if _v is not None: write(_filter(_v, rawExpr='$piconHTML')) # from line 54, col 6.
                        write('''
''')
                    else: # generated from line 55, col 4
                        write('''\t\t\t\t\t<a href="javascript:zapChannel(\'''')
                        _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 56, col 38
                        if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 56, col 38.
                        write("""', '""")
                        _v = VFFSL(SL,"channelName",True) # '$channelName' on line 56, col 59
                        if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 56, col 59.
                        write('''\');" title="''')
                        _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 56, col 83
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 56, col 83.
                        write(''' ''')
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 56, col 103
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 56, col 103.
                        write('''">''')
                        _v = VFFSL(SL,"piconHTML",True) # '$piconHTML' on line 56, col 118
                        if _v is not None: write(_filter(_v, rawExpr='$piconHTML')) # from line 56, col 118.
                        write('''</a>
''')
                    write('''\t\t\t\t</div>
''')
                else: # generated from line 59, col 1
                    write('''\t\t\t<td style="width:0px;">
''')
                write('''\t\t\t</td>
\t\t\t<td class="now-next__channel">
\t\t\t\t<h2 class="now-next__channel-name">
''')
                if VFFSL(SL,"isProtected",True): # generated from line 65, col 4
                    write('''\t\t\t\t\t<span class="link--skinned" title="''')
                    _v = VFFSL(SL,"tstrings",True)['locked'] # "$tstrings['locked']" on line 66, col 41
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['locked']")) # from line 66, col 41.
                    write('''">''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 66, col 62
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 66, col 62.
                    write('''</span>
''')
                else: # generated from line 67, col 4
                    write('''\t\t\t\t\t<a href="javascript:zapChannel(\'''')
                    _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 68, col 38
                    if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 68, col 38.
                    write("""', '""")
                    _v = VFFSL(SL,"channelName",True) # '$channelName' on line 68, col 59
                    if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 68, col 59.
                    write('''\');" class="link--skinned" title="''')
                    _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 68, col 105
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 68, col 105.
                    write(''' ''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 68, col 125
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 68, col 125.
                    write('''">''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 68, col 140
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 68, col 140.
                    write('''</a>
''')
                write('''\t\t\t\t</h2>
\t\t\t\t<div class="now-next__channel__actions">
''')
                if not VFN(VFFSL(SL,"channel.ref",True),"startswith",False)('1:7:'): # generated from line 72, col 1
                    if VFFSL(SL,"isProtected",True): # generated from line 73, col 2
                        write('''\t\t\t\t\t<span class="link--not-skinned" target="_blank" title="''')
                        _v = VFFSL(SL,"tstrings",True)['locked'] # "$tstrings['locked']" on line 74, col 61
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['locked']")) # from line 74, col 61.
                        write('''"><i class="material-icons material-icons-centered">lock_outline</i></span>
''')
                    else: # generated from line 75, col 2
                        if VFFSL(SL,"type",True) == "radio": # generated from line 76, col 3
                            write('''\t\t\t\t\t<!-- button type="button" onclick="addTimer(\'\',\'''')
                            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 77, col 54
                            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 77, col 54.
                            write("""','""")
                            _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 77, col 74
                            if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 77, col 74.
                            write('''\',\'\');" class="link--not-skinned" title="''')
                            _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 77, col 128
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 77, col 128.
                            write('''"><i class="icon material-icons material-icons-centered">alarm_add</i></button -->
''')
                        write('''
\t\t\t\t\t<button type="button" onclick="zapChannel(\'''')
                        _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 80, col 49
                        if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 80, col 49.
                        write("""', '""")
                        _v = VFFSL(SL,"channelName",True) # '$channelName' on line 80, col 70
                        if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 80, col 70.
                        write('''\');" class="link--not-skinned" title="''')
                        _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 80, col 120
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 80, col 120.
                        write(''' ''')
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 80, col 140
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 80, col 140.
                        write('''"><i class="icon material-icons material-icons-centered">settings_remote</i></button>

''')
                        if VFFSL(SL,"channel.link",True) != "": # generated from line 82, col 3
                            write('''\t\t\t\t\t<a href="''')
                            _v = VFFSL(SL,"channel.link",True) # '$channel.link' on line 83, col 15
                            if _v is not None: write(_filter(_v, rawExpr='$channel.link')) # from line 83, col 15.
                            write('''" class="now-next__external-link link--not-skinned" target="extlink" title="''')
                            _v = VFFSL(SL,"tstrings",True)['open_in_new_window'] # "$tstrings['open_in_new_window']" on line 83, col 104
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['open_in_new_window']")) # from line 83, col 104.
                            write('''"><i class="material-icons material-icons-centered">phonelink</i></a>
''')
                        else: # generated from line 84, col 3
                            epgDisabledState = ''
                            if not 'now_title' in VFFSL(SL,"channel",True): # generated from line 86, col 4
                                epgDisabledState = 'disabled'
                            write('''\t\t\t\t\t<button type="button" onclick="open_epg_dialog(\'''')
                            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 89, col 54
                            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 89, col 54.
                            write("""','""")
                            _v = VFFSL(SL,"channelName",True) # '$channelName' on line 89, col 74
                            if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 89, col 74.
                            write('''\');" ''')
                            _v = VFFSL(SL,"epgDisabledState",True) # '$epgDisabledState' on line 89, col 91
                            if _v is not None: write(_filter(_v, rawExpr='$epgDisabledState')) # from line 89, col 91.
                            write(''' class="link--not-skinned" title="''')
                            _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # "$tstrings['show_epg_for']" on line 89, col 142
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_epg_for']")) # from line 89, col 142.
                            write(''' ''')
                            _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 89, col 168
                            if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 89, col 168.
                            write('''" data-toggle="modal" data-target="#EPGModal"><i class="icon material-icons material-icons-centered">event_note</i></button>
\t\t\t\t\t<button type="button" onclick="jumper8001(\'''')
                            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 90, col 49
                            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 90, col 49.
                            write("""', '""")
                            _v = VFFSL(SL,"channelName",True) # '$channelName' on line 90, col 70
                            if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 90, col 70.
                            write('''\');" class="link--not-skinned" title="''')
                            _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 90, col 120
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 90, col 120.
                            write(''' ''')
                            _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 90, col 140
                            if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 90, col 140.
                            write('''"><i class="icon material-icons material-icons-centered">ondemand_video</i></button>
''')
                            if VFFSL(SL,"transcoding",True): # generated from line 91, col 4
                                write('''\t\t\t\t\t<button type="button" onclick="jumper8002(\'''')
                                _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 92, col 49
                                if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 92, col 49.
                                write("""', '""")
                                _v = VFFSL(SL,"channelName",True) # '$channelName' on line 92, col 70
                                if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 92, col 70.
                                write('''\');" class="link--not-skinned" title="''')
                                _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 92, col 120
                                if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 92, col 120.
                                write(''' (''')
                                _v = VFFSL(SL,"tstrings",True)['transcoded'] # "$tstrings['transcoded']" on line 92, col 141
                                if _v is not None: write(_filter(_v, rawExpr="$tstrings['transcoded']")) # from line 92, col 141.
                                write(''') ''')
                                _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 92, col 166
                                if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 92, col 166.
                                write('''"><i class="icon material-icons material-icons-centered">smartphone</i></button>
''')
                write('''\t\t\t\t</div>
\t\t\t</td>
\t\t\t<td class="now-next__info">
''')
                if (not VFFSL(SL,"isProtected",True)) and 'now_title' in VFFSL(SL,"channel",True): # generated from line 100, col 1
                    write('''\t\t\t\t<div class="now-next__details now-next__details--now">
\t\t\t\t\t<div class="now-next__metainfo">
\t\t\t\t\t\t<h2 class="now-next__title">
\t\t\t\t\t\t\t<a href="javascript:void(0);" onclick="loadeventepg(\'''')
                    _v = VFFSL(SL,"channel.now_ev_id",True) # '$channel.now_ev_id' on line 104, col 61
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_ev_id')) # from line 104, col 61.
                    write("""', '""")
                    _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 104, col 83
                    if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 104, col 83.
                    write("""', '""")
                    _v = VFFSL(SL,"channel.picon",True) # '$channel.picon' on line 104, col 104
                    if _v is not None: write(_filter(_v, rawExpr='$channel.picon')) # from line 104, col 104.
                    write('''\');" class="link--skinned" data-ref="''')
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 104, col 155
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 104, col 155.
                    write('''" data-id="''')
                    _v = VFFSL(SL,"channel.now_ev_id",True) # '$channel.now_ev_id' on line 104, col 178
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_ev_id')) # from line 104, col 178.
                    write('''" data-toggle="modal" data-target="#EventModal" title="''')
                    _v = VFFSL(SL,"tstrings",True)['more_details'] # "$tstrings['more_details']" on line 104, col 251
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['more_details']")) # from line 104, col 251.
                    write('''">''')
                    _v = VFFSL(SL,"channel.now_title",True) # '$channel.now_title' on line 104, col 278
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_title')) # from line 104, col 278.
                    write('''</a>
\t\t\t\t\t\t\t<span class="now-next__elapsed">(+''')
                    _v = VFFSL(SL,"channel.now_left",True) # '$channel.now_left' on line 105, col 42
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_left')) # from line 105, col 42.
                    write(''' ''')
                    _v = VFFSL(SL,"tstrings",True)['mins'] # "$tstrings['mins']" on line 105, col 60
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['mins']")) # from line 105, col 60.
                    write(''')</span>
\t\t\t\t\t\t</h2>
\t\t\t\t\t\t<div class="now-next__time">
\t\t\t\t\t\t\t<time>''')
                    _v = VFFSL(SL,"channel.now_begin",True) # '$channel.now_begin' on line 108, col 14
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_begin')) # from line 108, col 14.
                    write('''</time> &mdash; <time>''')
                    _v = VFFSL(SL,"channel.now_end",True) # '$channel.now_end' on line 108, col 54
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_end')) # from line 108, col 54.
                    write('''</time>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="now-next__progress progress">
\t\t\t\t\t\t\t<div class="progress-bar bg--skinned progress-bar-striped" role="progressbar" aria-valuenow="''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 111, col 101
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 111, col 101.
                    write('''" aria-valuemin="0" aria-valuemax="100" style="width:''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 111, col 173
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 111, col 173.
                    write('''%">
\t\t\t\t\t\t\t\t<span class="now-next__progress__percent">''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 112, col 51
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 112, col 51.
                    write('''%</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="now-next__desc">
''')
                    nowEventDesc = VFFSL(SL,"channel.now_shortdesc",True) if VFFSL(SL,"channel.now_shortdesc",True) else VFFSL(SL,"channel.now_extdesc",True)
                    write('''\t\t\t\t\t\t ''')
                    _v = VFFSL(SL,"nowEventDesc",True) # '$nowEventDesc' on line 118, col 8
                    if _v is not None: write(_filter(_v, rawExpr='$nowEventDesc')) # from line 118, col 8.
                    write('''
''')
                    nowEventDesc = ""
                    write('''\t\t\t\t\t</div>
\t\t\t\t</div>
''')
                else: # generated from line 122, col 1
                    write('''\t\t\t\t<div class="now-next__no-data">''')
                    _v = VFFSL(SL,"tstrings",True)['no_epg_data'] # "$tstrings['no_epg_data']" on line 123, col 36
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['no_epg_data']")) # from line 123, col 36.
                    write('''</div>
''')
                if (not VFFSL(SL,"isProtected",True)) and 'next_title' in VFFSL(SL,"channel",True): # generated from line 125, col 1
                    if VFFSL(SL,"channel.next_title",True) == "<<absent>>": # generated from line 126, col 3
                        write('''\t\t\t\t<div class="now-next__no-data">...</td>
''')
                    else: # generated from line 128, col 3
                        write('''\t\t\t\t<div class="now-next__details now-next__details--next">
\t\t\t\t\t<div class="now-next__metainfo">
\t\t\t\t\t\t<h2 class="now-next__title">
\t\t\t\t\t\t\t<a href="javascript:void(0);" onclick="loadeventepg(\'''')
                        _v = VFFSL(SL,"channel.next_ev_id",True) # '$channel.next_ev_id' on line 132, col 61
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_ev_id')) # from line 132, col 61.
                        write("""', '""")
                        _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 132, col 84
                        if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 132, col 84.
                        write("""', '""")
                        _v = VFFSL(SL,"channel.picon",True) # '$channel.picon' on line 132, col 105
                        if _v is not None: write(_filter(_v, rawExpr='$channel.picon')) # from line 132, col 105.
                        write('''\');" class="link--skinned" data-ref="''')
                        _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 132, col 156
                        if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 132, col 156.
                        write('''" data-id="''')
                        _v = VFFSL(SL,"channel.next_ev_id",True) # '$channel.next_ev_id' on line 132, col 179
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_ev_id')) # from line 132, col 179.
                        write('''" data-toggle="modal" data-target="#EventModal" title="''')
                        _v = VFFSL(SL,"tstrings",True)['more_details'] # "$tstrings['more_details']" on line 132, col 253
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['more_details']")) # from line 132, col 253.
                        write('''">''')
                        _v = VFFSL(SL,"channel.next_title",True) # '$channel.next_title' on line 132, col 280
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_title')) # from line 132, col 280.
                        write('''</a>
\t\t\t\t\t\t\t<span class="now-next__elapsed">(''')
                        _v = VFFSL(SL,"channel.next_duration",True) # '$channel.next_duration' on line 133, col 41
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_duration')) # from line 133, col 41.
                        write(''' ''')
                        _v = VFFSL(SL,"tstrings",True)['mins'] # "$tstrings['mins']" on line 133, col 64
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['mins']")) # from line 133, col 64.
                        write(''')</span>
\t\t\t\t\t\t</h2>
\t\t\t\t\t\t<div class="now-next__time">
\t\t\t\t\t\t\t<time>''')
                        _v = VFFSL(SL,"channel.next_begin",True) # '$channel.next_begin' on line 136, col 14
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_begin')) # from line 136, col 14.
                        write('''</time> &mdash; <time>''')
                        _v = VFFSL(SL,"channel.next_end",True) # '$channel.next_end' on line 136, col 55
                        if _v is not None: write(_filter(_v, rawExpr='$channel.next_end')) # from line 136, col 55.
                        write('''</time>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="now-next__desc">
''')
                        nextEventDesc = VFFSL(SL,"channel.next_shortdesc",True) if VFFSL(SL,"channel.next_shortdesc",True) else VFFSL(SL,"channel.next_extdesc",True)
                        write('''\t\t\t\t\t\t ''')
                        _v = VFFSL(SL,"nextEventDesc",True) # '$nextEventDesc' on line 141, col 8
                        if _v is not None: write(_filter(_v, rawExpr='$nextEventDesc')) # from line 141, col 8.
                        write('''
''')
                        nextEventDesc = ""
                        write('''\t\t\t\t\t</div>
\t\t\t\t</div>
''')
                    #  #else
                    #  <div class="now-next__info now-next__no-data">$tstrings['no_epg_data']</div>
            write('''\t\t\t</td>
\t\t</tr>
''')
        write('''\t</table>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_channels = 'respond'

## END CLASS DEFINITION

if not hasattr(channels, '_initCheetahAttributes'):
    templateAPIClass = getattr(channels,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(channels)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=channels()).run()


