#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from json import dumps
from six.moves.urllib.parse import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import showPicons, showPiconBackground

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863554.9434228
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:34 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/responsive/ajax/event.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class event(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(event, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        etime = time.localtime(VFFSL(SL,"event.begin",True))
        channel = VFFSL(SL,"event.channel",True)
        channelQuoteEscaped = VFN(VFFSL(SL,"channel",True),"replace",False)("&#x27;", "\\'")
        title = VFN(VFFSL(SL,"event.title",True),"replace",False)("'", "\\'")
        sref = quote(VFFSL(SL,"event.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
        sRefQuoteEscaped = VFN(VFFSL(SL,"sref",True),"replace",False)("'", "\\'")
        endTime = VFFSL(SL,"int",False)(VFFSL(SL,"event.begin",True) + VFFSL(SL,"event.duration",True))
        metadata = VFFSL(SL,"dumps",False)({ 'sref': quote(VFFSL(SL,"event.sref",True)), 'id': VFFSL(SL,"event.id",True), 'begin': VFFSL(SL,"event.begin",True), 'end': VFFSL(SL,"int",False)(VFFSL(SL,"event.begin",True) + VFFSL(SL,"event.duration",True)) }, indent=None, separators=(",", ":"))
        write('''
''')
        piconCssClass = ''
        if VFFSL(SL,"showPiconBackground",True): # generated from line 16, col 1
            piconCssClass = 'picon--with-background'
        write("""
<div data-metadata='""")
        _v = VFFSL(SL,"metadata",True) # '$metadata' on line 20, col 21
        if _v is not None: write(_filter(_v, rawExpr='$metadata')) # from line 20, col 21.
        write('''\'>
<div class="row clearfix pull-right">
\t<div class="col-xs-12">

''')
        if VFFSL(SL,"showPicons",True) and 'picon' in VFFSL(SL,"event",True): # generated from line 24, col 1
            piconHTML = '<img class="img-fluid" src="%s" alt="Channel logo">' % VFFSL(SL,"event.picon",True)
            write('''\t\t<div class="event-detail__picon ''')
            _v = VFFSL(SL,"piconCssClass",True) # '$piconCssClass' on line 26, col 35
            if _v is not None: write(_filter(_v, rawExpr='$piconCssClass')) # from line 26, col 35.
            write('''" style="margin: 0 auto;">
\t\t\t<a href="javascript:zapChannel(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 27, col 36
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 27, col 36.
            write("""', '""")
            _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 27, col 57
            if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 27, col 57.
            write('''\');" title="''')
            _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 27, col 89
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 27, col 89.
            write(''' ''')
            _v = VFFSL(SL,"channel",True) # '$channel' on line 27, col 109
            if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 27, col 109.
            write('''">''')
            _v = VFFSL(SL,"piconHTML",True) # '$piconHTML' on line 27, col 119
            if _v is not None: write(_filter(_v, rawExpr='$piconHTML')) # from line 27, col 119.
            write('''</a>
\t\t</div>
''')
        else: # generated from line 29, col 1
            write('''\t\t<h4>''')
            _v = VFFSL(SL,"channel",True) # '$channel' on line 30, col 7
            if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 30, col 7.
            write('''</h4>
''')
        write('''
\t\t<div class="event-detail__actions m-b-10">
''')
        #  #if $isProtected
        #  		<span class="link--not-skinned" target="_blank" title="$tstrings['locked']"><i class="material-icons material-icons-centered">lock_outline</i></span>
        #  #else
        if VFFSL(SL,"type",True) == "radio": # generated from line 37, col 3
            write('''\t\t\t<!-- button type="button" onclick="addTimer(\'\', \'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 38, col 53
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 38, col 53.
            write("""', '""")
            _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 38, col 74
            if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 38, col 74.
            write('''\', \'\');" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 38, col 136
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 38, col 136.
            write('''"><i class="icon material-icons material-icons-centered">alarm_add</i></button -->
''')
        write('''
\t\t\t<button type="button" onclick="zapChannel(\'''')
        _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 41, col 47
        if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 41, col 47.
        write("""', '""")
        _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 41, col 68
        if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 41, col 68.
        write('''\');" class="link--not-skinned" title="''')
        _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 41, col 126
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 41, col 126.
        write(''' ''')
        _v = VFFSL(SL,"channel",True) # '$channel' on line 41, col 146
        if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 41, col 146.
        write('''"><i class="icon material-icons material-icons-centered">settings_remote</i></button>

''')
        if VFFSL(SL,"event.link",True) != "": # generated from line 43, col 3
            write('''\t\t\t<a href="''')
            _v = VFFSL(SL,"event.link",True) # '$event.link' on line 44, col 13
            if _v is not None: write(_filter(_v, rawExpr='$event.link')) # from line 44, col 13.
            write('''" class="now-next__external-link link--not-skinned" target="extlink" title="''')
            _v = VFFSL(SL,"tstrings",True)['open_in_new_window'] # "$tstrings['open_in_new_window']" on line 44, col 100
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['open_in_new_window']")) # from line 44, col 100.
            write('''"><i class="material-icons material-icons-centered">phonelink</i></a>
''')
        else: # generated from line 45, col 3
            write('''\t\t\t<button type="button" onclick="open_epg_dialog(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 46, col 52
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 46, col 52.
            write("""', '""")
            _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 46, col 73
            if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 46, col 73.
            write('''\');" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # "$tstrings['show_epg_for']" on line 46, col 131
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_epg_for']")) # from line 46, col 131.
            write(''' ''')
            _v = VFFSL(SL,"channel",True) # '$channel' on line 46, col 157
            if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 46, col 157.
            write('''" data-toggle="modal" data-target="#EPGModal"><i class="icon material-icons material-icons-centered">event_note</i></button>
\t\t\t<button type="button" onclick="jumper8001(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 47, col 47
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 47, col 47.
            write("""', '""")
            _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 47, col 68
            if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 47, col 68.
            write('''\');" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 47, col 126
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 47, col 126.
            write(''' ''')
            _v = VFFSL(SL,"channel",True) # '$channel' on line 47, col 146
            if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 47, col 146.
            write('''"><i class="icon material-icons material-icons-centered">ondemand_video</i></button>
''')
            if VFFSL(SL,"transcoding",True): # generated from line 48, col 4
                write('''\t\t\t<button type="button" onclick="jumper8002(\'''')
                _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 49, col 47
                if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 49, col 47.
                write("""', '""")
                _v = VFFSL(SL,"channelQuoteEscaped",True) # '$channelQuoteEscaped' on line 49, col 68
                if _v is not None: write(_filter(_v, rawExpr='$channelQuoteEscaped')) # from line 49, col 68.
                write('''\');" class="link--not-skinned" title="''')
                _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 49, col 126
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 49, col 126.
                write(''' (''')
                _v = VFFSL(SL,"tstrings",True)['transcoded'] # "$tstrings['transcoded']" on line 49, col 147
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['transcoded']")) # from line 49, col 147.
                write(''') ''')
                _v = VFFSL(SL,"channel",True) # '$channel' on line 49, col 172
                if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 49, col 172.
                write('''"><i class="icon material-icons material-icons-centered">smartphone</i></button>
''')
            #  #if $transcoding
            #  <button onclick="jumper8001('$sRefQuoteEscaped', '$channelQuoteEscaped');" class="link--not-skinned" title="$tstrings['stream']: $channel">
            #  <i class="material-icons material-icons-centered">tv</i>
            #  </button>
            #  <button onclick="jumper8002('$sRefQuoteEscaped', '$channelQuoteEscaped');" class="link--not-skinned" title="$tstrings['stream'] ($tstrings['transcoded']): $channel">
            #  <i class="material-icons material-icons-centered">phone_android</i>
            #  </button>
            #  #else
            #  <button class="link--not-skinned">
            #  <a href="/web/stream.m3u?ref=$sref&name=$channel" class="link--not-skinned" target="stream" title="$tstrings['stream'] $channel">
            #  <i class="material-icons material-icons-centered">ondemand_video</i>
            #  </a>
            #  </button>
            #  #end if	
        #  #end if
        write('''\t\t</div>
\t</div>
</div>

<div class="row clearfix pull-left">
\t<div class="col-xs-12">
\t\t<h4 class="event-detail__title">''')
        _v = VFFSL(SL,"event.title",True) # '$event.title' on line 73, col 35
        if _v is not None: write(_filter(_v, rawExpr='$event.title')) # from line 73, col 35.
        write('''</h4>
\t\t<h5 class="event-detail__time">''')
        _v = VFFSL(SL,"tstrings",True)[("day_" + (VFN(VFFSL(SL,"time",True),"strftime",False)("%w", VFFSL(SL,"etime",True))))] # '$tstrings[("day_" + ($time.strftime("%w", $etime)))]' on line 74, col 34
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[("day_" + ($time.strftime("%w", $etime)))]')) # from line 74, col 34.
        write('''. ''')
        _v = VFN(VFFSL(SL,"time",True),"strftime",False)("%d", VFFSL(SL,"etime",True)) # '$time.strftime("%d", $etime)' on line 74, col 88
        if _v is not None: write(_filter(_v, rawExpr='$time.strftime("%d", $etime)')) # from line 74, col 88.
        write('''. ''')
        _v = VFFSL(SL,"tstrings",True)[("month_" + (VFN(VFFSL(SL,"time",True),"strftime",False)("%m", VFFSL(SL,"etime",True))))] # '$tstrings[("month_" + ($time.strftime("%m", $etime)))]' on line 74, col 118
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[("month_" + ($time.strftime("%m", $etime)))]')) # from line 74, col 118.
        write(''' ''')
        _v = VFFSL(SL,"event.begin_str",True) # '$event.begin_str' on line 74, col 173
        if _v is not None: write(_filter(_v, rawExpr='$event.begin_str')) # from line 74, col 173.
        write(''' - ''')
        _v = VFFSL(SL,"event.end",True) # '$event.end' on line 74, col 192
        if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 74, col 192.
        write('''&nbsp;&nbsp;(''')
        _v = VFFSL(SL,"int",False)(VFFSL(SL,"event.duration",True)/60) # '$int($event.duration/60)' on line 74, col 215
        if _v is not None: write(_filter(_v, rawExpr='$int($event.duration/60)')) # from line 74, col 215.
        write(''' min)</h5>
\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12">
''')
        if VFFSL(SL,"event.title",True) != VFFSL(SL,"event.shortdesc",True): # generated from line 79, col 1
            write('''\t\t<p class="event-detail__description">''')
            _v = VFFSL(SL,"event.shortdesc",True) # '$event.shortdesc' on line 80, col 40
            if _v is not None: write(_filter(_v, rawExpr='$event.shortdesc')) # from line 80, col 40.
            write('''</p>
''')
        write('''\t</div>
</div>
<div class="row clearfix">
\t<div class="col-xs-12 m-t-10">
\t\t<p class="event-detail__description">
\t\t\t''')
        _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)("\n","<br/>"),"replace",False)(u"\u008a","<br/>") # '$(event.longdesc.replace("\\n","<br/>").replace(u"\\u008a","<br/>"))' on line 87, col 4
        if _v is not None: write(_filter(_v, rawExpr='$(event.longdesc.replace("\\n","<br/>").replace(u"\\u008a","<br/>"))')) # from line 87, col 4.
        write('''
\t\t</p>
\t</div>
</div>
''')
        if VFFSL(SL,"extEventInfoProvider",True): # generated from line 91, col 1
            write('''<div class="row clearfix">
\t<div class="col-xs-12 m-b-10">
\t\t<a href="''')
            _v = VFFSL(SL,"extEventInfoProvider",True)['url'] # "$extEventInfoProvider['url']" on line 94, col 12
            if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['url']")) # from line 94, col 12.
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # '$quote($event.title)' on line 94, col 40
            if _v is not None: write(_filter(_v, rawExpr='$quote($event.title)')) # from line 94, col 40.
            write('''" class="link--skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['search_'+VFFSL(SL,"extEventInfoProvider",True)['id']] # "$tstrings['search_'+$extEventInfoProvider['id']]" on line 94, col 91
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['search_'+$extEventInfoProvider['id']]")) # from line 94, col 91.
            write('''" target="extdb">
\t\t\t<i class="material-icons material-icons-centered" style="margin-right: 0;">open_in_new</i>
\t\t\t''')
            _v = VFFSL(SL,"extEventInfoProvider",True)['name'] # "$extEventInfoProvider['name']" on line 96, col 4
            if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['name']")) # from line 96, col 4.
            write('''
\t\t</a>
\t</div>
</div>
''')
        write('''
<div class="row clearfix">
\t<div class="col-xs-12 event-detail__actions">

''')
        if VFFSL(SL,"event.timer",True): # generated from line 105, col 1
            if VFFSL(SL,"event.timer.isEnabled",True): # generated from line 106, col 2
                write('''\t\t<button onclick="toggleTimerStatus(\'''')
                _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 107, col 39
                if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 107, col 39.
                write("""', '""")
                _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 107, col 60
                if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 107, col 60.
                write("""', '""")
                _v = VFFSL(SL,"event.end",True) # '$event.end' on line 107, col 76
                if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 107, col 76.
                write('''\');" class="link--not-skinned" title="''')
                _v = VFFSL(SL,"tstrings",True)['disable_timer'] # "$tstrings['disable_timer']" on line 107, col 124
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['disable_timer']")) # from line 107, col 124.
                write('''">
\t\t\t<i class="material-icons material-icons-centered">alarm_off</i>
\t\t</button>
''')
            else: # generated from line 110, col 2
                write('''\t\t<button onclick="toggleTimerStatus(\'''')
                _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 111, col 39
                if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 111, col 39.
                write("""', '""")
                _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 111, col 60
                if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 111, col 60.
                write("""', '""")
                _v = VFFSL(SL,"event.end",True) # '$event.end' on line 111, col 76
                if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 111, col 76.
                write('''\');" class="link--not-skinned" title="''')
                _v = VFFSL(SL,"tstrings",True)['enable_timer'] # "$tstrings['enable_timer']" on line 111, col 124
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['enable_timer']")) # from line 111, col 124.
                write('''">
\t\t\t<i class="material-icons material-icons-centered">alarm_on</i>
\t\t</button>
''')
            write('''\t\t<button class="link--not-skinned" data-target="#TimerModal" data-toggle="modal" data-dismiss="modal" title="''')
            _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 115, col 111
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 115, col 111.
            write('''">
\t\t\t<i class="material-icons material-icons-centered">edit</i>
\t\t</button>
\t\t<button onclick="delTimerEvent(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 118, col 35
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 118, col 35.
            write("""', '""")
            _v = VFFSL(SL,"event.id",True) # '$event.id' on line 118, col 56
            if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 118, col 56.
            write('''\');" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['delete_timer'] # "$tstrings['delete_timer']" on line 118, col 103
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['delete_timer']")) # from line 118, col 103.
            write('''">
\t\t\t<i class="material-icons material-icons-centered">delete</i>
\t\t</button>
''')
        else: # generated from line 121, col 1
            write('''\t\t<button onclick="addTimerEvent(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 122, col 35
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 122, col 35.
            write("""', '""")
            _v = VFFSL(SL,"event.id",True) # '$event.id' on line 122, col 56
            if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 122, col 56.
            write('''\', false);" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 122, col 110
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 122, col 110.
            write('''">
\t\t\t<i class="material-icons material-icons-centered">alarm_add</i>
\t\t</button>
\t\t<button class="link--not-skinned" data-target="#TimerModal" data-toggle="modal" data-dismiss="modal" title="''')
            _v = VFFSL(SL,"tstrings",True)['add'] # "$tstrings['add']" on line 125, col 111
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add']")) # from line 125, col 111.
            write(''' & ''')
            _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 125, col 130
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 125, col 130.
            write('''">
\t\t\t<i class="material-icons material-icons-centered">alarm_add</i>
\t\t\t<i class="material-icons material-icons-centered">edit</i>
\t\t</button>
\t\t<button onclick="addTimerEvent(\'''')
            _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 129, col 35
            if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 129, col 35.
            write("""', '""")
            _v = VFFSL(SL,"event.id",True) # '$event.id' on line 129, col 56
            if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 129, col 56.
            write('''\', true);" class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # "$tstrings['add_zaptimer']" on line 129, col 109
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_zaptimer']")) # from line 129, col 109.
            write('''">
\t\t\t<i class="material-icons material-icons-centered">add_alert</i>
\t\t</button>
''')
        write('''
''')
        if VFFSL(SL,"at",True): # generated from line 134, col 1
            write('''\t\t<button onclick=\'location.href="#/at/new?name=''')
            _v = VFFSL(SL,"title",True) # '$title' on line 135, col 49
            if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 135, col 49.
            write('''&match=''')
            _v = VFFSL(SL,"title",True) # '$title' on line 135, col 62
            if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 135, col 62.
            write('''&timespanFrom=''')
            _v = VFFSL(SL,"event.begin_str",True) # '$event.begin_str' on line 135, col 82
            if _v is not None: write(_filter(_v, rawExpr='$event.begin_str')) # from line 135, col 82.
            write('''&timespanTo=''')
            _v = VFFSL(SL,"event.end",True) # '$event.end' on line 135, col 110
            if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 135, col 110.
            write('''&sref=''')
            _v = VFFSL(SL,"sref",True) # '$sref' on line 135, col 126
            if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 135, col 126.
            write('''";\' class="link--not-skinned" title="''')
            _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # "$tstrings['add_autotimer']" on line 135, col 168
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_autotimer']")) # from line 135, col 168.
            write('''" data-dismiss="modal">
\t\t\t<i class="material-icons material-icons-centered">av_timer</i>
\t\t</button>
''')
        write('''\t\t<button type="button" onclick="open_epg_similar_dialog(\'''')
        _v = VFFSL(SL,"sRefQuoteEscaped",True) # '$sRefQuoteEscaped' on line 139, col 59
        if _v is not None: write(_filter(_v, rawExpr='$sRefQuoteEscaped')) # from line 139, col 59.
        write("""', '""")
        _v = VFFSL(SL,"event.id",True) # '$event.id' on line 139, col 80
        if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 139, col 80.
        write('''\');" class="link--not-skinned" title="''')
        _v = VFFSL(SL,"tstrings",True)['find_similar_events'] # "$tstrings['find_similar_events']" on line 139, col 127
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['find_similar_events']")) # from line 139, col 127.
        write('''" data-toggle="modal" data-target="#EPGModal">
\t\t\t<i class="icon material-icons material-icons-centered">dynamic_feed</i>
\t\t</button>
\t</div>
</div>
</div>''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_event = 'respond'

## END CLASS DEFINITION

if not hasattr(event, '_initCheetahAttributes'):
    templateAPIClass = getattr(event,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(event)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=event()).run()


