#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863555.2750604
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:35 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/web/epgservicenext.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class epgservicenext(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(epgservicenext, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_38356314 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<?xml version="1.0" encoding="UTF-8"?>
<e2eventlist>
''')
        for event in VFFSL(SL,"events",True): # generated from line 4, col 2
            write('''\t<e2event>
\t\t<e2eventid>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.id",True)) # '$str($event.id)' on line 6, col 14
            if _v is not None: write(_filter(_v, rawExpr='$str($event.id)')) # from line 6, col 14.
            write('''</e2eventid>
\t\t<e2eventstart>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.begin_timestamp",True)) # '$str($event.begin_timestamp)' on line 7, col 17
            if _v is not None: write(_filter(_v, rawExpr='$str($event.begin_timestamp)')) # from line 7, col 17.
            write('''</e2eventstart>
\t\t<e2eventduration>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.duration_sec",True)) # '$str($event.duration_sec)' on line 8, col 20
            if _v is not None: write(_filter(_v, rawExpr='$str($event.duration_sec)')) # from line 8, col 20.
            write('''</e2eventduration>
\t\t<e2eventcurrenttime>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.now_timestamp",True)) # '$str($event.now_timestamp)' on line 9, col 23
            if _v is not None: write(_filter(_v, rawExpr='$str($event.now_timestamp)')) # from line 9, col 23.
            write('''</e2eventcurrenttime>
\t\t<e2eventtitle>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.title",True)) # '$str($event.title)' on line 10, col 17
            if _v is not None: write(_filter(_v, rawExpr='$str($event.title)')) # from line 10, col 17.
            write('''</e2eventtitle>
\t\t<e2eventdescription>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.shortdesc",True)) # '$str($event.shortdesc)' on line 11, col 23
            if _v is not None: write(_filter(_v, rawExpr='$str($event.shortdesc)')) # from line 11, col 23.
            write('''</e2eventdescription>
\t\t<e2eventdescriptionextended>''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"event.longdesc",True)) # '$str($event.longdesc)' on line 12, col 31
            if _v is not None: write(_filter(_v, rawExpr='$str($event.longdesc)')) # from line 12, col 31.
            write('''</e2eventdescriptionextended>
\t\t<e2eventservicereference>''')
            _v = VFFSL(SL,"event.sref",True) # '$event.sref' on line 13, col 28
            if _v is not None: write(_filter(_v, rawExpr='$event.sref')) # from line 13, col 28.
            write('''</e2eventservicereference>
\t\t<e2eventservicename>''')
            _v = VFFSL(SL,"event.sname",True) # '$event.sname' on line 14, col 23
            if _v is not None: write(_filter(_v, rawExpr='$event.sname')) # from line 14, col 23.
            write('''</e2eventservicename>
\t\t<e2eventgenre id="''')
            _v = VFFSL(SL,"event.genreid",True) # '$event.genreid' on line 15, col 21
            if _v is not None: write(_filter(_v, rawExpr='$event.genreid')) # from line 15, col 21.
            write('''">''')
            _v = VFFSL(SL,"event.genre",True) # '$event.genre' on line 15, col 37
            if _v is not None: write(_filter(_v, rawExpr='$event.genre')) # from line 15, col 37.
            write('''</e2eventgenre>
\t</e2event>
''')
        write('''</e2eventlist>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_38356314
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_epgservicenext = 'respond'

## END CLASS DEFINITION

if not hasattr(epgservicenext, '_initCheetahAttributes'):
    templateAPIClass = getattr(epgservicenext,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(epgservicenext)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=epgservicenext()).run()


