#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863555.3497157
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:35 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/web/getcurrent.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class getcurrent(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(getcurrent, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_77238432 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<?xml version="1.0" encoding="UTF-8"?>
<e2currentserviceinformation>
\t<e2service>
\t\t<e2servicereference>''')
        _v = VFFSL(SL,"info.ref",True) # '$info.ref' on line 5, col 23
        if _v is not None: write(_filter(_v, rawExpr='$info.ref')) # from line 5, col 23.
        write('''</e2servicereference>
\t\t<e2servicename>''')
        _v = VFFSL(SL,"info.name",True) # '$info.name' on line 6, col 18
        if _v is not None: write(_filter(_v, rawExpr='$info.name')) # from line 6, col 18.
        write('''</e2servicename>
\t\t<e2providername>''')
        _v = VFFSL(SL,"info.provider",True) # '$info.provider' on line 7, col 19
        if _v is not None: write(_filter(_v, rawExpr='$info.provider')) # from line 7, col 19.
        write('''</e2providername>
\t\t<e2videowidth>''')
        _v = VFFSL(SL,"info.width",True) # '$info.width' on line 8, col 17
        if _v is not None: write(_filter(_v, rawExpr='$info.width')) # from line 8, col 17.
        write('''</e2videowidth>
\t\t<e2videoheight>''')
        _v = VFFSL(SL,"info.height",True) # '$info.height' on line 9, col 18
        if _v is not None: write(_filter(_v, rawExpr='$info.height')) # from line 9, col 18.
        write('''</e2videoheight>
\t\t<e2servicevideosize>''')
        _v = VFFSL(SL,"info.width",True) # '${info.width}' on line 10, col 23
        if _v is not None: write(_filter(_v, rawExpr='${info.width}')) # from line 10, col 23.
        write('''x''')
        _v = VFFSL(SL,"info.height",True) # '${info.height}' on line 10, col 37
        if _v is not None: write(_filter(_v, rawExpr='${info.height}')) # from line 10, col 37.
        write('''</e2servicevideosize>
\t\t<e2iswidescreen>
''')
        if VFFSL(SL,"info.iswidescreen",True) : # generated from line 12, col 4
            _v =  "1" 
            if _v is not None: write(_filter(_v))
        else:
            _v =  "0"
            if _v is not None: write(_filter(_v))
        write('''\t\t</e2iswidescreen>
\t\t<e2apid>''')
        _v = VFFSL(SL,"info.apid",True) # '$info.apid' on line 14, col 11
        if _v is not None: write(_filter(_v, rawExpr='$info.apid')) # from line 14, col 11.
        write('''</e2apid>
\t\t<e2vpid>''')
        _v = VFFSL(SL,"info.vpid",True) # '$info.vpid' on line 15, col 11
        if _v is not None: write(_filter(_v, rawExpr='$info.vpid')) # from line 15, col 11.
        write('''</e2vpid>
\t\t<e2pcrpid>''')
        _v = VFFSL(SL,"info.pcrpid",True) # '$info.pcrpid' on line 16, col 13
        if _v is not None: write(_filter(_v, rawExpr='$info.pcrpid')) # from line 16, col 13.
        write('''</e2pcrpid>
\t\t<e2pmtpid>''')
        _v = VFFSL(SL,"info.pmtpid",True) # '$info.pmtpid' on line 17, col 13
        if _v is not None: write(_filter(_v, rawExpr='$info.pmtpid')) # from line 17, col 13.
        write('''</e2pmtpid>
\t\t<e2txtpid>''')
        _v = VFFSL(SL,"info.txtpid",True) # '$info.txtpid' on line 18, col 13
        if _v is not None: write(_filter(_v, rawExpr='$info.txtpid')) # from line 18, col 13.
        write('''</e2txtpid>
\t\t<e2tsid>''')
        _v = VFFSL(SL,"info.tsid",True) # '$info.tsid' on line 19, col 11
        if _v is not None: write(_filter(_v, rawExpr='$info.tsid')) # from line 19, col 11.
        write('''</e2tsid>
\t\t<e2onid>''')
        _v = VFFSL(SL,"info.onid",True) # '$info.onid' on line 20, col 11
        if _v is not None: write(_filter(_v, rawExpr='$info.onid')) # from line 20, col 11.
        write('''</e2onid>
\t\t<e2sid>''')
        _v = VFFSL(SL,"info.sid",True) # '$info.sid' on line 21, col 10
        if _v is not None: write(_filter(_v, rawExpr='$info.sid')) # from line 21, col 10.
        write('''</e2sid>
\t</e2service>
\t<e2eventlist>
\t\t<e2event>
\t\t\t<e2eventservicereference>''')
        _v = VFFSL(SL,"now.sref",True) # '$now.sref' on line 25, col 29
        if _v is not None: write(_filter(_v, rawExpr='$now.sref')) # from line 25, col 29.
        write('''</e2eventservicereference>
\t\t\t<e2eventservicename>''')
        _v = VFFSL(SL,"now.sname",True) # '$now.sname' on line 26, col 24
        if _v is not None: write(_filter(_v, rawExpr='$now.sname')) # from line 26, col 24.
        write('''</e2eventservicename>
\t\t\t<e2eventprovidername>''')
        _v = VFFSL(SL,"now.provider",True) # '$now.provider' on line 27, col 25
        if _v is not None: write(_filter(_v, rawExpr='$now.provider')) # from line 27, col 25.
        write('''</e2eventprovidername>
\t\t\t<e2eventid>''')
        _v = VFFSL(SL,"now.id",True) # '$now.id' on line 28, col 15
        if _v is not None: write(_filter(_v, rawExpr='$now.id')) # from line 28, col 15.
        write('''</e2eventid>
\t\t\t<e2eventname>''')
        _v = VFFSL(SL,"now.title",True) # '$now.title' on line 29, col 17
        if _v is not None: write(_filter(_v, rawExpr='$now.title')) # from line 29, col 17.
        write('''</e2eventname>
\t\t\t<e2eventtitle>''')
        _v = VFFSL(SL,"now.title",True) # '$now.title' on line 30, col 18
        if _v is not None: write(_filter(_v, rawExpr='$now.title')) # from line 30, col 18.
        write('''</e2eventtitle>
\t\t\t<e2eventdescription>''')
        _v = VFFSL(SL,"now.shortdesc",True) # '$now.shortdesc' on line 31, col 24
        if _v is not None: write(_filter(_v, rawExpr='$now.shortdesc')) # from line 31, col 24.
        write('''</e2eventdescription>
\t\t\t<e2eventstart>''')
        _v = VFFSL(SL,"now.begin_timestamp",True) # '$now.begin_timestamp' on line 32, col 18
        if _v is not None: write(_filter(_v, rawExpr='$now.begin_timestamp')) # from line 32, col 18.
        write('''</e2eventstart>
\t\t\t<e2eventduration>''')
        _v = VFFSL(SL,"now.duration_sec",True) # '$now.duration_sec' on line 33, col 21
        if _v is not None: write(_filter(_v, rawExpr='$now.duration_sec')) # from line 33, col 21.
        write('''</e2eventduration>
\t\t\t<e2eventremaining>''')
        _v = VFFSL(SL,"now.remaining",True) # '$now.remaining' on line 34, col 22
        if _v is not None: write(_filter(_v, rawExpr='$now.remaining')) # from line 34, col 22.
        write('''</e2eventremaining>
\t\t\t<e2eventcurrenttime>''')
        _v = VFFSL(SL,"now.now_timestamp",True) # '$now.now_timestamp' on line 35, col 24
        if _v is not None: write(_filter(_v, rawExpr='$now.now_timestamp')) # from line 35, col 24.
        write('''</e2eventcurrenttime>
\t\t\t<e2eventdescriptionextended>''')
        _v = VFFSL(SL,"now.longdesc",True) # '$now.longdesc' on line 36, col 32
        if _v is not None: write(_filter(_v, rawExpr='$now.longdesc')) # from line 36, col 32.
        write('''</e2eventdescriptionextended>
\t\t\t<e2eventgenre id="''')
        _v = VFFSL(SL,"now.genreid",True) # '$now.genreid' on line 37, col 22
        if _v is not None: write(_filter(_v, rawExpr='$now.genreid')) # from line 37, col 22.
        write('''">''')
        _v = VFFSL(SL,"now.genre",True) # '$now.genre' on line 37, col 36
        if _v is not None: write(_filter(_v, rawExpr='$now.genre')) # from line 37, col 36.
        write('''</e2eventgenre>
\t\t</e2event>
\t\t<e2event>
\t\t\t<e2eventservicereference>''')
        _v = VFFSL(SL,"next.sref",True) # '$next.sref' on line 40, col 29
        if _v is not None: write(_filter(_v, rawExpr='$next.sref')) # from line 40, col 29.
        write('''</e2eventservicereference>
\t\t\t<e2eventservicename>''')
        _v = VFFSL(SL,"next.sname",True) # '$next.sname' on line 41, col 24
        if _v is not None: write(_filter(_v, rawExpr='$next.sname')) # from line 41, col 24.
        write('''</e2eventservicename>
\t\t\t<e2eventprovidername>''')
        _v = VFFSL(SL,"next.provider",True) # '$next.provider' on line 42, col 25
        if _v is not None: write(_filter(_v, rawExpr='$next.provider')) # from line 42, col 25.
        write('''</e2eventprovidername>
\t\t\t<e2eventid>''')
        _v = VFFSL(SL,"next.id",True) # '$next.id' on line 43, col 15
        if _v is not None: write(_filter(_v, rawExpr='$next.id')) # from line 43, col 15.
        write('''</e2eventid>
\t\t\t<e2eventname>''')
        _v = VFFSL(SL,"next.title",True) # '$next.title' on line 44, col 17
        if _v is not None: write(_filter(_v, rawExpr='$next.title')) # from line 44, col 17.
        write('''</e2eventname>
\t\t\t<e2eventtitle>''')
        _v = VFFSL(SL,"next.title",True) # '$next.title' on line 45, col 18
        if _v is not None: write(_filter(_v, rawExpr='$next.title')) # from line 45, col 18.
        write('''</e2eventtitle>
\t\t\t<e2eventdescription>''')
        _v = VFFSL(SL,"next.shortdesc",True) # '$next.shortdesc' on line 46, col 24
        if _v is not None: write(_filter(_v, rawExpr='$next.shortdesc')) # from line 46, col 24.
        write('''</e2eventdescription>
\t\t\t<e2eventstart>''')
        _v = VFFSL(SL,"next.begin_timestamp",True) # '$next.begin_timestamp' on line 47, col 18
        if _v is not None: write(_filter(_v, rawExpr='$next.begin_timestamp')) # from line 47, col 18.
        write('''</e2eventstart>
\t\t\t<e2eventduration>''')
        _v = VFFSL(SL,"next.duration_sec",True) # '$next.duration_sec' on line 48, col 21
        if _v is not None: write(_filter(_v, rawExpr='$next.duration_sec')) # from line 48, col 21.
        write('''</e2eventduration>
\t\t\t<e2eventremaining>''')
        _v = VFFSL(SL,"next.remaining",True) # '$next.remaining' on line 49, col 22
        if _v is not None: write(_filter(_v, rawExpr='$next.remaining')) # from line 49, col 22.
        write('''</e2eventremaining>
\t\t\t<e2eventcurrenttime>''')
        _v = VFFSL(SL,"next.now_timestamp",True) # '$next.now_timestamp' on line 50, col 24
        if _v is not None: write(_filter(_v, rawExpr='$next.now_timestamp')) # from line 50, col 24.
        write('''</e2eventcurrenttime>
\t\t\t<e2eventdescriptionextended>''')
        _v = VFFSL(SL,"next.longdesc",True) # '$next.longdesc' on line 51, col 32
        if _v is not None: write(_filter(_v, rawExpr='$next.longdesc')) # from line 51, col 32.
        write('''</e2eventdescriptionextended>
\t\t\t<e2eventgenre id="''')
        _v = VFFSL(SL,"next.genreid",True) # '$next.genreid' on line 52, col 22
        if _v is not None: write(_filter(_v, rawExpr='$next.genreid')) # from line 52, col 22.
        write('''">''')
        _v = VFFSL(SL,"next.genre",True) # '$next.genre' on line 52, col 37
        if _v is not None: write(_filter(_v, rawExpr='$next.genre')) # from line 52, col 37.
        write('''</e2eventgenre>
\t\t</e2event>
\t</e2eventlist>
</e2currentserviceinformation>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_77238432
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_getcurrent = 'respond'

## END CLASS DEFINITION

if not hasattr(getcurrent, '_initCheetahAttributes'):
    templateAPIClass = getattr(getcurrent,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(getcurrent)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=getcurrent()).run()


