#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6.post1'
__CHEETAH_versionTuple__ = (3, 2, 6, 'post', 1)
__CHEETAH_genTime__ = 1680863555.3215408
__CHEETAH_genTimestamp__ = 'Fri Apr  7 10:32:35 2023'
__CHEETAH_src__ = '/home/abcde/env/New-2/openvision/build/tmp/work/multibox-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/gitAUTOINC+cd7d0d6cef-r0/git/plugin/controllers/views/web/timerlist.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr  7 10:32:31 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class timerlist(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(timerlist, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_47565008 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<?xml version="1.0" encoding="UTF-8"?>
<e2timerlist>
''')
        for timer in VFFSL(SL,"timers",True): # generated from line 4, col 2
            write('''\t<e2timer>
\t\t<e2servicereference>''')
            _v = VFFSL(SL,"timer.serviceref",True) # '$timer.serviceref' on line 6, col 23
            if _v is not None: write(_filter(_v, rawExpr='$timer.serviceref')) # from line 6, col 23.
            write('''</e2servicereference>
\t\t<e2servicename>''')
            _v = VFFSL(SL,"timer.servicename",True) # '$timer.servicename' on line 7, col 18
            if _v is not None: write(_filter(_v, rawExpr='$timer.servicename')) # from line 7, col 18.
            write('''</e2servicename>
\t\t<e2eit>''')
            _v = VFFSL(SL,"timer.eit",True) # '$timer.eit' on line 8, col 10
            if _v is not None: write(_filter(_v, rawExpr='$timer.eit')) # from line 8, col 10.
            write('''</e2eit>
\t\t<e2name>''')
            _v = VFFSL(SL,"timer.name",True) # '$timer.name' on line 9, col 11
            if _v is not None: write(_filter(_v, rawExpr='$timer.name')) # from line 9, col 11.
            write('''</e2name>
\t\t<e2description>''')
            _v = VFFSL(SL,"timer.description",True) # '$timer.description' on line 10, col 18
            if _v is not None: write(_filter(_v, rawExpr='$timer.description')) # from line 10, col 18.
            write('''</e2description>
\t\t<e2descriptionextended>''')
            _v = VFFSL(SL,"timer.descriptionextended",True) # '$timer.descriptionextended' on line 11, col 26
            if _v is not None: write(_filter(_v, rawExpr='$timer.descriptionextended')) # from line 11, col 26.
            write('''</e2descriptionextended>
\t\t<e2disabled>''')
            _v = VFFSL(SL,"timer.disabled",True) # '$timer.disabled' on line 12, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.disabled')) # from line 12, col 15.
            write('''</e2disabled>
\t\t<e2timebegin>''')
            _v = VFFSL(SL,"timer.begin",True) # '$timer.begin' on line 13, col 16
            if _v is not None: write(_filter(_v, rawExpr='$timer.begin')) # from line 13, col 16.
            write('''</e2timebegin>
\t\t<e2timeend>''')
            _v = VFFSL(SL,"timer.end",True) # '$timer.end' on line 14, col 14
            if _v is not None: write(_filter(_v, rawExpr='$timer.end')) # from line 14, col 14.
            write('''</e2timeend>
\t\t<e2duration>''')
            _v = VFFSL(SL,"timer.duration",True) # '$timer.duration' on line 15, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.duration')) # from line 15, col 15.
            write('''</e2duration>
\t\t<e2startprepare>''')
            _v = VFFSL(SL,"timer.startprepare",True) # '$timer.startprepare' on line 16, col 19
            if _v is not None: write(_filter(_v, rawExpr='$timer.startprepare')) # from line 16, col 19.
            write('''</e2startprepare>
\t\t<e2justplay>''')
            _v = VFFSL(SL,"timer.justplay",True) # '$timer.justplay' on line 17, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.justplay')) # from line 17, col 15.
            write('''</e2justplay>
\t\t<e2afterevent>''')
            _v = VFFSL(SL,"timer.afterevent",True) # '$timer.afterevent' on line 18, col 17
            if _v is not None: write(_filter(_v, rawExpr='$timer.afterevent')) # from line 18, col 17.
            write('''</e2afterevent>
\t\t<e2location>''')
            _v = VFFSL(SL,"timer.dirname",True) # '$timer.dirname' on line 19, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.dirname')) # from line 19, col 15.
            write('''</e2location>
\t\t<e2tags>''')
            _v = VFFSL(SL,"timer.tags",True) # '$timer.tags' on line 20, col 11
            if _v is not None: write(_filter(_v, rawExpr='$timer.tags')) # from line 20, col 11.
            write('''</e2tags>
\t\t<e2logentries>''')
            _v = VFFSL(SL,"timer.logentries",True) # '$timer.logentries' on line 21, col 17
            if _v is not None: write(_filter(_v, rawExpr='$timer.logentries')) # from line 21, col 17.
            write('''</e2logentries>
\t\t<e2filename>''')
            _v = VFFSL(SL,"timer.filename",True) # '$timer.filename' on line 22, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.filename')) # from line 22, col 15.
            write('''</e2filename>
\t\t<e2backoff>''')
            _v = VFFSL(SL,"timer.backoff",True) # '$timer.backoff' on line 23, col 14
            if _v is not None: write(_filter(_v, rawExpr='$timer.backoff')) # from line 23, col 14.
            write('''</e2backoff>
\t\t<e2nextactivation>''')
            _v = VFFSL(SL,"timer.nextactivation",True) # '$timer.nextactivation' on line 24, col 21
            if _v is not None: write(_filter(_v, rawExpr='$timer.nextactivation')) # from line 24, col 21.
            write('''</e2nextactivation>
\t\t<e2firsttryprepare>''')
            _v = VFFSL(SL,"timer.firsttryprepare",True) # '$timer.firsttryprepare' on line 25, col 22
            if _v is not None: write(_filter(_v, rawExpr='$timer.firsttryprepare')) # from line 25, col 22.
            write('''</e2firsttryprepare>
\t\t<e2state>''')
            _v = VFFSL(SL,"timer.state",True) # '$timer.state' on line 26, col 12
            if _v is not None: write(_filter(_v, rawExpr='$timer.state')) # from line 26, col 12.
            write('''</e2state>
\t\t<e2repeated>''')
            _v = VFFSL(SL,"timer.repeated",True) # '$timer.repeated' on line 27, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.repeated')) # from line 27, col 15.
            write('''</e2repeated>
\t\t<e2dontsave>''')
            _v = VFFSL(SL,"timer.dontsave",True) # '$timer.dontsave' on line 28, col 15
            if _v is not None: write(_filter(_v, rawExpr='$timer.dontsave')) # from line 28, col 15.
            write('''</e2dontsave>
\t\t<e2cancled>''')
            _v = VFFSL(SL,"timer.cancelled",True) # '$timer.cancelled' on line 29, col 14
            if _v is not None: write(_filter(_v, rawExpr='$timer.cancelled')) # from line 29, col 14.
            write('''</e2cancled>
\t\t<e2toggledisabled>''')
            _v = VFFSL(SL,"timer.toggledisabled",True) # '$timer.toggledisabled' on line 30, col 21
            if _v is not None: write(_filter(_v, rawExpr='$timer.toggledisabled')) # from line 30, col 21.
            write('''</e2toggledisabled>
\t\t<e2toggledisabledimg>''')
            _v = VFFSL(SL,"timer.toggledisabledimg",True) # '$timer.toggledisabledimg' on line 31, col 24
            if _v is not None: write(_filter(_v, rawExpr='$timer.toggledisabledimg')) # from line 31, col 24.
            write('''</e2toggledisabledimg>
\t\t<e2alwayszap>''')
            _v = VFFSL(SL,"timer.always_zap",True) # '$timer.always_zap' on line 32, col 16
            if _v is not None: write(_filter(_v, rawExpr='$timer.always_zap')) # from line 32, col 16.
            write('''</e2alwayszap>
\t\t<e2pipzap>''')
            _v = VFFSL(SL,"timer.pipzap",True) # '$timer.pipzap' on line 33, col 13
            if _v is not None: write(_filter(_v, rawExpr='$timer.pipzap')) # from line 33, col 13.
            write('''</e2pipzap>
\t</e2timer>
''')
        write('''</e2timerlist>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_47565008
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_timerlist = 'respond'

## END CLASS DEFINITION

if not hasattr(timerlist, '_initCheetahAttributes'):
    templateAPIClass = getattr(timerlist,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(timerlist)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=timerlist()).run()


